pkgsrc-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[pkgsrc/trunk]: pkgsrc/mk/check On Solaris 5.9, the ksh cannot handle null by...
details: https://anonhg.NetBSD.org/pkgsrc/rev/eb8febf6ec01
branches: trunk
changeset: 522556:eb8febf6ec01
user: rillig <rillig%pkgsrc.org@localhost>
date: Tue Dec 12 21:10:41 2006 +0000
description:
On Solaris 5.9, the ksh cannot handle null bytes in the input. It's
documented in a SunSolve document, but that document is not accessible
to the public.
There's no better way than to start a subshell executing sed(1) in this
case. This makes the test even slower on these machines, and is not even
guaranteed to work in all cases. That's life.
diffstat:
mk/check/check-portability.sh | 15 +++++++++++++--
1 files changed, 13 insertions(+), 2 deletions(-)
diffs (35 lines):
diff -r 5dda06b3ba36 -r eb8febf6ec01 mk/check/check-portability.sh
--- a/mk/check/check-portability.sh Tue Dec 12 21:02:26 2006 +0000
+++ b/mk/check/check-portability.sh Tue Dec 12 21:10:41 2006 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: check-portability.sh,v 1.3 2006/11/09 14:36:18 rillig Exp $
+# $NetBSD: check-portability.sh,v 1.4 2006/12/12 21:10:41 rillig Exp $
#
# This program checks the extracted files for portability issues that
# are likely to result in false assumptions by the package.
@@ -28,13 +28,24 @@
find * -type f -print 2>/dev/null \
| {
+ opsys=`uname -s`-`uname -r`
while read fname; do
skip=no
eval "case \"\$fname\" in $SKIP_FILTER *.orig) skip=yes;; esac"
[ $skip = no ] || continue
- read firstline < "$fname" || continue
+ case "$opsys" in
+ SunOS-5.9)
+ # See also (if you can):
+ # http://sunsolve.sun.com/search/document.do?assetkey=1-1-4250902-1
+ firstline=`sed 1q < "$fname"`
+ ;;
+
+ *) read firstline < "$fname" || continue
+ ;;
+ esac
+
case "$firstline" in
"#!"*"/bin/sh")
check_shell "$fname"
Home |
Main Index |
Thread Index |
Old Index